package com.example.emptyviews

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.text.Editable
import android.text.TextWatcher
import android.widget.Button
import android.widget.EditText
import android.widget.TextView

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        // connect code to interface resources
        val etName = findViewById<EditText>(R.id.etName)
        val btnEnter = findViewById<Button>(R.id.btnEnter)
        val tvResult = findViewById<TextView>(R.id.tvResult)

        //declare variable for username
        var username: String

        // click event handler to retrieve username and display greeting
        btnEnter.setOnClickListener {
            username = etName.text.toString()
            tvResult.text = "Hello $username"
        }

        etName.addTextChangedListener(object : TextWatcher {

            override fun afterTextChanged(s: Editable) {}

            override fun beforeTextChanged(s: CharSequence, start: Int,
                                           count: Int, after: Int) {
            }

            override fun onTextChanged(s: CharSequence, start: Int,
                                       before: Int, count: Int) {
                tvResult.setText("--------")
            }
        })

    }
}